function NounExposure_block(myNoun, myNounTranslate, reps, exposure_text, task_type){
    
    var exposure_trials =[];

    //create sequences of nouns
    var myNoun_seqTest = [];
    var myNounTranslate_seqTest = [];
    for (var r = 0; r < reps; r++){
        myNoun_seqTest = myNoun_seqTest.concat(myNoun);
        myNounTranslate_seqTest = myNounTranslate_seqTest.concat(myNounTranslate);
    }

	// randomise the trial sequence and make sure that no three consecutive trials with the same word
	var total_trial_num = myNoun_seqTest.length;
    //console.log(total_trial_num)
    var seq = range(0,100);
	var seq = seq.slice(0,total_trial_num);
	var max_num_consecutive_items = 2;
	var if_consecutive_items = true;
    while (if_consecutive_items==true) {
		seq = shuffle(seq);
		var myNounSeqTest = [];
		for (var i=0; i<total_trial_num; i++) {myNounSeqTest = myNounSeqTest.concat(myNoun_seqTest[seq[i]])}
		if_consecutive_items = if_consecutive(myNounSeqTest,max_num_consecutive_items+1);
	}

    for (var i = 0; i< total_trial_num; i++){
        var trial_num = i+1;
        var image_i = '<img src="'+img_path+myNounTranslate_seqTest[seq[i]]+".jpg"+' " class="Cntr0" >';
        var html_text_1 = '<div class="top1"><strong>'+'Object label:'+'</strong></div>';
        var html_text_2 = '<div class="top2"><strong>'+myNoun_seqTest[seq[i]]+'</strong></div>';
        var html_text_3 = html_text_1 + exposure_text;
        exposure_trials.push({img:image_i,wordclass_txt:html_text_1, word_class_word:html_text_1+html_text_2, 
            word_class_word_instr:html_text_3+html_text_2,wordclass_and_instr:html_text_3,wrd:myNoun_seqTest[seq[i]],
            wrd_trnl:myNounTranslate_seqTest[seq[i]],trl_num:trial_num})

    }

    //for save csv
    var csv_header=['','trial','exposure_word','translate','saveTime\n'];
    var data_to_save = csv_header;

    //*********trial setup********/
    var show_word_class_text = {
        type:'html-keyboard-response',
        stimulus:jsPsych.timelineVariable('wordclass_txt'),
        choices:jsPsych.NO_KEYS,
        response_ends_trial:false,
        trial_duration:800
    };

    var show_image = {
        type:'html-keyboard-response',
        stimulus:jsPsych.timelineVariable('img'),
        choices:jsPsych.NO_KEYS,
        prompt:jsPsych.timelineVariable('wordclass_txt'),
        response_ends_trial:false,
        trial_duration:800
    };

    var show_target_word = {
        type:'html-keyboard-response',
        stimulus:jsPsych.timelineVariable('img'),
        choices:jsPsych.NO_KEYS,
        prompt:jsPsych.timelineVariable('word_class_word'),
        reponse_end_trials: false,
        trial_duration:800
    };

    var show_instruction_hold_press = {
        type:'html-keyboard-response',
        stimulus:jsPsych.timelineVariable('img'),
        choices:jsPsych.NO_KEYS,
        prompt:function(){
                            //-------------save data (csv)---------------
                            var trl_no = jsPsych.timelineVariable('trl_num',true);
                            var wordName = jsPsych.timelineVariable('wrd',true);
                            var wordNameTranslate = jsPsych.timelineVariable('wrd_trnl',true);
                            var time = getTime();
                            var data_snglTrl=[trl_no, wordName, wordNameTranslate, time +'\n'];
                            data_to_save = data_to_save.concat(data_snglTrl);
                            var data_to_save_string = data_to_save.toString();
                            var csvName = window.saveFileNameHeader+'_'+task_type+'.csv';
                            saveData(csvName,data_to_save_string);
                            return jsPsych.timelineVariable('word_class_word_instr',true)
                        },
        response_ends_trial: false,
        trial_duration:500
        };

        var click_to_continue = {
            type:'html-keyboard-response',
            stimulus: jsPsych.timelineVariable('img'),
            choices:[32],
            prompt: jsPsych.timelineVariable('word_class_word_instr')
        };

        var exp_trial = {
            timeline:[
                show_word_class_text,
                show_image,
                show_target_word,
                show_instruction_hold_press,
                click_to_continue
            ],
            timeline_variables:exposure_trials
        };

        return exp_trial
    }

